For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETList tests
          • GETGet test
          • POSTCreate test
          • PUTUpdate test
          • DELDelete test
          • POSTGet test summaries
          • POSTRun tests on agent
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceTests

Create test

POST
/v1/convai/agent-testing/create
POST
/v1/convai/agent-testing/create
$curl -X POST https://api.elevenlabs.io/v1/convai/agent-testing/create \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
1{
2 "id": "string"
3}
Creates a new agent response test.
Was this page helpful?
Previous

Update test

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
CreateResponseUnitTestRequestobjectRequired
OR
CreateToolCallUnitTestRequestobjectRequired
OR
CreateSimulationTestRequestobjectRequired

Response

Successful Response
idstring

Errors

422
Unprocessable Entity Error